package com.qmth.themis.business.bean.mobile;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.bean.exam.VersionBean;
import com.qmth.themis.business.enums.MobileModeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("登录返回信息")
public class MobileAuthorizationBean {

    @ApiModelProperty("功能模式")
    private MobileModeEnum mode;

    @ApiModelProperty("时间戳")
    private Long time;

    @ApiModelProperty("sessionId")
    private String sessionId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("考试记录id")
    private Long recordId;

    private String accessToken;

    @ApiModelProperty("version")
    VersionBean version;

    public VersionBean getVersion() {
        return version;
    }

    public void setVersion(VersionBean version) {
        this.version = version;
    }

    public MobileModeEnum getMode() {
        return mode;
    }

    public void setMode(MobileModeEnum mode) {
        this.mode = mode;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

}
